
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>EL表达式详细解析 / iVAN</title>

    <meta name="description" content="EL表达式详细解析 &lt;%@ page isELIgnored=&quot;true&quot;%&gt; 表示是否禁用EL语言,TRUE表示禁止.FALSE表示不禁止.JSP2.0中默认的启用EL语言. JSTL 标签 库由标签库和 EL 表达式语言两个部分组成. EL 在 JSTL 1.0 规范中被引入,当时用来作为 Java 表达式来工作,而该表达式必须配合 JSTL 的标签库才能得到需要的结果. 说明:在 JSTL 1.1 规范中, JSP2.0 容器已经能够独立的理解任何 EL 表达式. EL 可以独 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">EL表达式详细解析</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>&lt;%@ page isELIgnored="true"%&gt; 表示是否禁用EL语言,TRUE表示禁止.FALSE表示不禁止.JSP2.0中默认的启用EL语言.</p>
<p>JSTL 标签 库由标签库和 EL 表达式语言两个部分组成。 EL 在 JSTL 1.0 规范中被引入，当时用来作为 Java 表达式来工作，而该表达式必须配合 JSTL 的标签库才能得到需要的结果。 说明：在 JSTL 1.1 规范中， JSP2.0 容器已经能够独立的理解任何 EL 表达式。 EL 可以独立出现在 JSP 页面的任何角落。</p>
<p>EL 全名为Expression Language</p>
<p>EL 语法很简单，它最大的特点就是使用上很方便。接下来介绍EL主要的语法结构：</p>
<p>${sessionScope.user.sex}</p>
<p>所有EL都是以${为起始、以}为结尾的。上述EL范例的意思是：从Session的范围中，取得用户的性别。</p>
<p>假若依照之前JSP Scriptlet(写在&lt;% %&gt;之间的程序片)的写法如下：</p>
<p>User user = (User)session.getAttribute("user");</p>
<p>String sex = user.getSex();</p>
<p>两者相比较之下，可以发现EL 的语法比传统JSP Scriptlet 更为方便、简洁。</p>
<p>.与[]运算符</p>
<p>EL 提供 . 和 [ ] 两种运算符来导航数据。下列两者所代表的意思是一样的：</p>
<p>${sessionScope.user.sex}等于${sessionScope.user["sex"]}</p>
<p>. 和 [ ] 也可以同时混合使用，如下：</p>
<p>${sessionScope.shoppingCart[0].price} 结果为shoppingCart中第一项物品的价格。</p>
<p>不过，以下两种情况，两者会有差异：</p>
<p>(1) 当要存取的属性名称中包含一些特殊字符，如. 或 – 等并非字母或数字的符号，就一定要使用 [ ]，例如：${user.My-Name }</p>
<p>上述是不正确的方式，应当改为：${user["My-Name"] }</p>
<p>(2) 我们来考虑下列情况：</p>
<p>${sessionScope.user[data]}</p>
<p>此时，data 是一个变量，假若data的值为"sex"时，那上述的例子等于${sessionScope.user.sex}；</p>
<p>假若data 的值为"name"时，它就等于${sessionScope.user.name}。因此，如果要动态取值时，就可以用上述的方法来做，但. 无法做到动态取值。</p>
<p>EL 变量</p>
<p>EL 存取变量数据的方法很简单，例如：${username}。它的意思是取出某一范围中名称为username的变量。因为我们并没有指定哪一个范围的username，所以它的默认值会先从Page 范围找，假如找不到，再依序到Request、Session、Application范围。假如途中找到username，就直接回传，不再继续找下去，但是假如全部的范围都没有找到时，就回传null，当然EL表达式还会做出优化，页面上显示空白，而不是打印输出NULL。</p>
<p>属性范围（jstl名称）:EL中的名称</p>
<p>Page:PageScope</p>
<p>Request :RequestScope</p>
<p>Session :SessionScope</p>
<p>Application :ApplicationScope</p>
<p>我们也可以指定要取出哪一个范围的变量：</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 18:16:01</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%8f%98%e9%87%8f/" title="变量">变量</a>, <a href="https://www.iamivan.net/tag/%e8%8c%83%e5%9b%b4/" title="范围">范围</a>, <a href="https://www.iamivan.net/tag/%e8%a1%a8%e8%be%be%e5%bc%8f/" title="表达式">表达式</a>, <a href="https://www.iamivan.net/tag/%e8%bf%90%e7%ae%97%e7%ac%a6/" title="运算符">运算符</a>, <a href="https://www.iamivan.net/tag/el%e8%a1%a8%e8%be%be%e5%bc%8f/" title="el表达式">el表达式</a>, <a href="https://www.iamivan.net/tag/username/" title="username">username</a>, <a href="https://www.iamivan.net/tag/user/" title="user">user</a>, <a href="https://www.iamivan.net/tag/%e8%8c%83%e5%9b%b4%e8%a7%a3%e6%9e%90/" title="范围解析">范围解析</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>EL表达式详细解析的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0P7ZDM.html" rel="bookmark">JSP EL表达式详细介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.JSP EL语言定义 E L(Expression Language) 目的:为了使JSP写起来更加简单. 表达式语言的灵感来自于 ECMAScript 和 XPath 表达式语言,它提供了在 JSP 中简化表达式的方法.它是一种简单的语言,基于可用的命名空间(PageContext 属性).嵌套属性和对集合.操作符(算术型.关系型和逻辑型)的访问符.映射到 Java 类中静态方法的可扩展函数以及一组隐式对象. EL 提供了在 JSP 脚本编制元素范围外使用运行时表达式的功能.脚本编制元素是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwK7XWz.html" rel="bookmark">JSP EL表达式详细介绍&lowbar;JSP编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.JSP EL语言定义         E L(Expression Language)  目的:为了使JSP写起来更加简单.        表达式语言的灵感来自于 ECMAScript 和 XPath 表达式语言,它提供了在 JSP 中简化表达式的方法.它是一种简单的语言,基于可用的命名空间(PageContext 属性).嵌套属性和对集合.操作符(算术型.关系型和逻辑型)的访问符.映射到 Java 类中静态方法的可扩展函数以及一组隐式对象.        EL 提供了在 JSP 脚本编制元			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mym0ElM.html" rel="bookmark">EL 表达式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转载自 : http://blog.csdn.net/qwerasdf123/article/details/4189889 EL表达式      1.EL简介 1)语法结构        ${expression} 2)[]与.运算符      EL 提供.和[]两种运算符来存取数据.      当要存取的属性名称中包含一些特殊字符,如.或?等并非字母或数字的符号,就一定要使用 []. 例如:          ${user.My-Name}应当改为${user[&quot;My-Name&quot;]			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEZwWnM.html" rel="bookmark">解析Tomcat 6、7在EL表达式解析时存在的一个Bug&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天在做数据分页显示的时候遇到了一个问题,经过测试,证实是Tomcat 6的一个bug,我所用的版本为:apache-tomcat-6.0.36,和7.0.30均能复现.下面详细描述一下这个bug: 该bug是在JSTL&lt;c:forEach&gt;标签中发现的,后来分析是EL表达式实现时产生的问题.jsp页面中有一个list需要遍历,这个list的类型为ArrayList&lt;String&gt;,我在其中放置的数据为(为方便我写成数组的形式):[&quot;1&quot;,&quot;...&q			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo75gdb.html" rel="bookmark">Tomcat5发布项目问题&lpar;2&rpar;：默认不解析EL表达式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Tomcat 5.5使EL表达式不被解析.  现象 代码${userSession.user_name}是JSP中的一个代码片段: 如果部署到tomcat5.5中,不会显示出session中的变量user用户名,而只会把 ${userSession.user_name}打印出来,猜测很可能是tomcat5.5的bug,不解析(或屏蔽了)EL表达式.  原因 如果web.xml中声明部分的schema版本为2.5或者以上,而tomcat使用的是5.5.x以下的版本的时候就会出现在页面直接显示而不解			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYjnD9p.html" rel="bookmark">el表达式-EL表达式解析错误，页面无法展示</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 EL表达式解析错误,页面无法展示 以下的jsp代码中,在Linux服务器上部署工程出现: &lt;c:if test=&quot;${switch == 0 || switch == 1}&quot;&gt;解析错误!页面无法正常展示,是语法错误吗? &lt;center&gt; &lt;c:set var=&quot;switch&quot; scope=&quot;session&quot; value=&quot;${scoreCleanIp }&quot;/&gt; &lt;c:if t			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5QvXRp.html" rel="bookmark">实例解析JSP中EL表达式的各种运用&lowbar;JSP编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				EL运算符: &lt;%@page language=&quot;java&quot; contentType=&quot;text/html;charset=gb2312&quot;%&gt; &lt;%@page import=&quot;java.sql.*&quot; %&gt; &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt; &lt;title&gt;El算数运算符&lt;/title&gt; &lt;/head&gt; &lt;body&gt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAQ0l2M.html" rel="bookmark">EL表达式无法被解析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				     刚困死了,可是手上还在debug一个东西.然后就发现      我的EL表达式都跑到页面上去了,处于半睡半醒的状态,又restart 了下Tomcat,发现还没好,判断应该是真的有问题.      百度了句话粘上去:&lt;%@ page isELIgnored=&quot;false&quot;%&gt;      再run一下,果然就没事了.虽然很困,但是还是很清楚EL表达式是不用添加page指令的.so,到底是哪里出了问题.是不是我struts里面多配了什么东西?还是webconfig呢?			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPXJDrp.html" rel="bookmark">JSP 不能解析EL表达式的解决办法&lowbar;JSP编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原因是:在默认情况下,Servlet 2.4 / JSP 2.0支持 EL 表达式. 解决的办法有两种: 1.修改web.xml的开头定义. 复制代码 代码如下: &lt;web-app version=&quot;2.4&quot; xmlns=&quot;http://java.sun.com/xml/ns/j2ee&quot; xmlns:xsi=&quot;http://www.w3.org/2001/XMLSchema-instance&quot; xsi:schemaLocation=&quo			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyy9PM.html" rel="bookmark" class="title">如何将gbk编码转成utf8格式</a>
					<div>
						编码 apache 字符集 GB 2312mysql 字符集 GBK现要从 mysql 中提出信息(GBK) 写入到 XML 中XML中的编码格式是 UTF-8 那么,如何将GBK编码成 UTF8 ? ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAarEQM.html" rel="bookmark" class="title">thrift的TServer类体系原理及源码详解：服务器基类TServer</a>
					<div>
						这一部分主要实现了底层IO通信,还涉及到通信服务器的堵塞.非堵塞.单线程.多线程 等运行模式,所以实现比较复杂.这一部分涉及到的类的关系图如下: 由上面的 类关系图可以看出,这一部分的类关系比较复杂, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2mxJb.html" rel="bookmark" class="title">SQL Server数据库之数据库列表介绍</a>
					<div>
						  SQL Sever2008服务器系统数据库列表 1.:服务器实例化对象. 2.master数据库:记录SQL Server系统的所有系统级信息.例如登录帐户.端点.链接服务器和系统配置设置. 3. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPAeQM.html" rel="bookmark" class="title">怎样修复IE浏览器</a>
					<div>
						步骤方法 1.清理多余的插件 ①安装太多的插件,将直接导致 Internet Explorer(IE)运行效率降低.特别有些病毒.木马.恶意软件等更是喜欢利用IE插件来做文章. ②建议使用&lt;36 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNE6vdb.html" rel="bookmark" class="title">C&plus;&plus;基础教程-常见数据类型</a>
					<div>
						一.常见数据类型 程序可以处理各种数据,我们给程序提供数据,然后得到预期的结果,下面我们来看一个练习: 1.启动 Geany 1)点菜单&quot;应用程序-编程-Geany&quot;启动 Gean ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDARZLb.html" rel="bookmark" class="title">万彩动画大师为元素对象怎么设置合适的动画显示时长</a>
					<div>
						  万彩动画大师怎么为元素对象设置合适的动画显示时长?为元素对象设置合适的动画显示时长能更好地展示元素对象.操作如下: 1.添加元素对象-设置动画效果 添加元素对象(图形.图片.文字.音乐.视频.fl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91Z7gM.html" rel="bookmark" class="title">设置TP-LINK双频并发路由器WDS的方法步骤</a>
					<div>
						  如下图所示是TL-WDR4310与TL-WDR4310进行WDS的一般拓扑结构,其中心思想就是在5GHz频段开启WDS,使两个TL-WDR4310无线桥接起来,同时使用2.4GHz和5GHz频段进 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oAJAb.html" rel="bookmark" class="title">盒子没无限视距了怎么办</a>
					<div>
						  当盒子没了无限视距功能,要盒子还有什么用呢?相信大部分英雄联盟玩家早已习惯了无限视距的陪伴,盒子没无限视距了怎么办呢?别慌,小编这里给大家推荐一些好用,并且实用的lol无限视距插件 1. lol官 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7WxjM.html" rel="bookmark" class="title">win7系统按下shift键才能打开右键菜单的解决方法&comma;右键菜单打不开？</a>
					<div>
						  大部分的用户都了解,在win7系统中,如果要调出一个程序或者是文件的右键菜单,只需要选中该程序或者该文件的图标,鼠标点击右键,右键菜单就会自动的弹出来了.但此功能对于我们正常操作电脑带来便捷.不过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkA3Eb.html" rel="bookmark" class="title">xp系统宽带连接出现错误691的解决方法</a>
					<div>
						  现如今,虽然无线网络很普遍,但是无线网络不稳定还是会有人继续使用有线宽带.使用电脑时直接宽带连接就可以,但是有的用户反映,网线可能只对一台电脑进行识别,其他人在使用这根网线进行宽带连接时就会出现& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YwEZM.html" rel="bookmark" class="title">com组件-利用微软的COM组件mstscax&period;dll实现远程桌面，在连接空密码的账户时，会出现用户选择界面。</a>
					<div>
						问题描述 利用微软的COM组件mstscax.dll实现远程桌面,在连接空密码的账户时,会出现用户选择界面. 利用微软的COM组件mstscax.dll实现远程桌面,在连接空密码的账户时,会出现用户选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZ0mob.html" rel="bookmark" class="title">C&plus;&plus;语言15个晦涩特性</a>
					<div>
						这个列表收集了 C++ 语言的一些晦涩(Obscure)特性,是我经年累月研究这门语言的各个方面收集起来的.C++非常庞大,我总是能学到一些新知识.即使你对C++已了如指掌,也希望你能从列表中学到一些 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPGk1p.html" rel="bookmark" class="title">两表合并 统计汇总-根据出库表和入库表数据统计生成出入库统计表，SQL语句写法？</a>
					<div>
						问题描述 根据出库表和入库表数据统计生成出入库统计表,SQL语句写法? 比较简易的出入库管理中,出库表包括:产品名称.出库数量.出库时间:入库表包括:产品名称.入库数量.入库时间:我需要得到的是在指定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Q1g0p.html" rel="bookmark" class="title">这边风光独好</a>
					<div>
						问题描述 各位大虾,请问一下,用java语言编程中,sqlserver2005数据库如何连接. 解决方案 解决方案二:下载jTDS或者M$官方的JDBC驱动程序jTDS:M$:上面M$那个是需要使用J ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7lE0z.html" rel="bookmark" class="title">云计算网络基础架构的实践和演进&mdash;&mdash;打造云计算网络基石</a>
					<div>
						摘要:从传统IT部署到云,人肉运维已经是过去式,云上运维该怎么开展?人工智能对于运维&quot;威胁论&quot;也随之袭来,如何去做更智能的活,当下很多运维人在不断思考和探寻答案.在2017运维/D ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnK6oOz.html" rel="bookmark" class="title">返璞归真 asp&period;net mvc &lpar;2&rpar; - 路由&lpar;System&period;Web&period;Routing&rpar;</a>
					<div>
						原文:返璞归真 asp.net mvc (2) - 路由(System.Web.Routing)[索引页][源码下载] 返璞归真 asp.net mvc (2) - 路由(System.Web.Rou ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvmlr8b.html" rel="bookmark" class="title">Servlet中报Cannot forward after response has been committed错</a>
					<div>
						一.遇到问题 punlic void go() { if(a) request.getRequestDispatcher(&quot;/a.jsp&quot;).forward(request, re ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94DYXb.html" rel="bookmark" class="title">阿里数据库内核月报：2016年09月</a>
					<div>
						# 01 MySQL · 社区贡献 · AliSQL那些事儿 # 02 PetaData · 架构体系 · PetaData第二代低成本存储体系 # 03 MySQL · 社区动态 · MariaDB ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9462Rb.html" rel="bookmark" class="title">LinkedIn已经逐渐成长为了猎头公司们最大的威胁</a>
					<div>
						摘要: 2013年3月&lt;金融时报&gt;网站作家安德鲁希尔(Andrew Hill)著文认为,LinkedIn已经逐渐成长为了猎头公司们最大的威胁,传统猎头可能会遭受毁灭性的打击.文章引发巨大争 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgav4b.html" rel="bookmark" class="title">iPhone 6 Plus再爆无法对焦问题 或为光学防抖所致</a>
					<div>
						DoNews 11月20日消息(记者 薛飞)苹果iPhone 6 http://www.aliyun.com/zixun/aggregation/19564.html&quot;&gt;Plus受到了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkA0Ajb.html" rel="bookmark" class="title">Ajax初探（2）&mdash;&mdash;Javascript</a>
					<div>
						今天是全国的五一的节日,很好的日子,大家都可以出去玩,同时对于我们寝室的一位老兄来说,更是喜上加喜.几天是他的生日. 我们接天借他的光,也出去吃了一顿,不过我还是怕太阳,回来时头痛死了,不过为了减轻头 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RXyDz.html" rel="bookmark" class="title">C语言线程控制的程序设计</a>
					<div>
						问题描述 C语言线程控制的程序设计 编写一个程开启3个线程,的ID分别为A.B.C每个线程将自己的ID在线程上打印出来10遍,要求输出结果按照ABC的顺序显示: 如:ABCABC....依次递推 解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLOA3M.html" rel="bookmark" class="title">收藏的PHP常用函数 推荐收藏保存&lowbar;php基础</a>
					<div>
						内容: 复制代码 代码如下: &lt;? function GetIP() { //获取IP if ($_SERVER[&quot;HTTP_X_FORWARDED_FOR&quot;]) $ip = ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJO144b.html" rel="bookmark" class="title">Android天气预报app改进版&lowbar;Android</a>
					<div>
						最近总是有人来和我说我以前写的一个小app无法正常获取数据~Android简易版天气预报app 今天就又运行了下来查找问题,发现或许是接口有限制吧,不能在多台手机使用同个apikey 然后,发现了我写 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0N39Dz.html" rel="bookmark" class="title">SEO优化&colon;企业网站的整体优化方法</a>
					<div>
						1.中小型企业的网站因为建站有一段时间,但是没有效果,会找到seoer来为其工作,这样省去了建站初期搜索引擎不认可的麻烦,如果是由你来建站,那么一定要对企业保守点说明情况,半年内可能效果不明显. 2. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyKwBkz.html" rel="bookmark" class="title">莘县一女子就被网友骗走了8万元</a>
					<div>
						本报8451234热线消息(记者刘铭通讯员刘常慧李明皎)如今,http://www.aliyun.com/zixun/aggregation/18414.html&quot;&gt;网络交友或通过网络 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJe8Zqp.html" rel="bookmark" class="title">C&num;从文件中读大量数据放入内存，求高效快速的方法。</a>
					<div>
						问题描述 我需要将数据整体从文件中读出来,大概有一百万条,放入内存中,然后在datagridview中显示和操作.显示那里我用的虚拟模式,已经很快速了.现在主要是读取文件很花费时间,有什么高效的方法吗 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boOO4Eb.html" rel="bookmark" class="title">佛经中所说的&OpenCurlyDoubleQuote;晋言&rdquo;是怎么回事</a>
					<div>
						从网上下载的读佛经,有些咒有前面的&quot;晋言&quot;两个字,当时不太明白,猜测是晋朝人写的,所以叫晋言吧,后来在网上查找一下,只找到一篇关于这方面的文章,大体的意思是说,&quot;晋言&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9vQndp.html" rel="bookmark" class="title">java&period;sql&period;BatchUpdateException&colon; ORA-01461&colon; 仅能绑定要插入 LONG 列的 LONG 值</a>
					<div>
						问题描述 生产环境报java.sql.BatchUpdateException:ORA-01461:仅能绑定要插入LONG列的LONG值这个异常无能为力呀,求高手帮忙,谢谢java程序里用绑定变量批量 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLJ448b.html" rel="bookmark" class="title">困惑：自定义jstl标签</a>
					<div>
						问题描述 这几天在学习JSTL自定义标签,看到迭代标签部分的时候有些东西没理解,帖出来,希望大家帮忙研究研究./**当前标签运行时最先执行的部分,执行完该方法之后才会去执行doStartTag*/pu ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
